Upsert tags in bulk

Use this endpoint to create or update tags for candidate, job, or opening groups in bulk. Provide both tag_id and tag_name to update an existing tag label. Omit tag_id to create a new tag or match an existing one case-insensitively. Token scopes: ats:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired

At least one tag group must be provided. Include tag_id to update an existing tag label, or omit it to create or match case-insensitively.

Response

Tags upserted successfully.
dataobject
Resolved tags grouped by tag group.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error